- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# purefa_syslog – Configure Pure Storage FlashArray syslog settings

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Status

## Synopsis

- Configure syslog configuration for Pure Storage FlashArrays.

- Add or delete an individual syslog server to the existing list of serves.

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.7

- purestorage

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address string / required |  | Syslog server address. This field supports IPv4, IPv6 or FQDN. An invalid IP addresses will cause the module to fail. No validation is performed for FQDNs.
api_token string / required |  | FlashArray API token for admin privileged user.
fa_url string / required |  | FlashArray management IPv4 address or Hostname.
port string |  | Port at which the server is listening. If no port is specified the system will use 514
protocol string / required | Choices: tcp tls udp | Protocol which server uses
state string | Choices: absent present ← | Create or delete syslog servers configuration

## Notes

Note

- This module requires the `purestorage` Python library

- You must set `PUREFA_URL` and `PUREFA_API` environment variables if fa_url and api_token arguments are not passed to the module directly

## Examples

    - name: Delete existing syslog server entries
      purefa_syslog:
        address: syslog1.com
        protocol: tcp
        state: absent
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

    - name: Set array syslog servers
      purefa_syslog:
        state: present
        address: syslog1.com
        protocol: udp
        fa_url: 10.10.10.2
        api_token: e31060a7-21fc-e277-6240-25983c6c4592

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Pure Storage Ansible Team (@sdodsley) <pure-ansible-team@purestorage.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.